Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001679Anope Stable (2.0.x series)[All Projects] Generalpublic2016-05-28 21:532016-11-05 16:37
Reportercapitaine 
Assigned ToAdam 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0001679: IRC2SQL does not update status modes
DescriptionFrom IRC2SQL, users status modes like +vho are updated only on join, but not when staying in a channel.
Steps To Reproduce/MODE #Foo +vho John

mysql> SELECT i.modes FROM irc_user AS u, irc_ison AS i, irc_chan AS c WHERE u.nick = "John" AND c.channel = "#Foo" AND u.nickid = i.nickid AND c.chanid = i.chanid;

+-------+
| modes |
+-------+
| |
+-------+
Additional InformationSuggested fix attached
TagsNo tags attached.
Attached Filespatch file icon 0001-IRC2SQL-update-status-modes.patch [^] (1,712 bytes) 2016-05-28 21:53 [Show Content]

- Relationships

-  Notes
(0006814)
Adam (administrator)
2016-11-05 16:37

Thanks, fixed in a5fdf7c546ccb0f70a70543ea8afb54d155a13cc
(0006795)
cronus (developer)
2016-05-29 02:54

Didn't notice you used another table, Im use to JOINs on other tables :P
(0006794)
capitaine (reporter)
2016-05-28 22:07

I know, my report is about ison.modes, not tables channels.modes nor user.modes
(0006793)
cronus (developer)
2016-05-28 21:58

That table has modes for user modes, not channel modes. The Channel modes you seek are in the "ison" table.

- Issue History
Date Modified Username Field Change
2016-05-28 21:53 capitaine New Issue
2016-05-28 21:53 capitaine File Added: 0001-IRC2SQL-update-status-modes.patch
2016-05-28 21:58 cronus Note Added: 0006793
2016-05-28 22:07 capitaine Note Added: 0006794
2016-05-29 02:54 cronus Note Added: 0006795
2016-11-05 16:37 Adam Note Added: 0006814
2016-11-05 16:37 Adam Status new => resolved
2016-11-05 16:37 Adam Resolution open => fixed
2016-11-05 16:37 Adam Assigned To => Adam


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker